# For Haskell Packaging Guidelines see:
# - https://fedoraproject.org/wiki/Packaging:Haskell
# - https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name augeas

# common part of summary for all the subpackages
%global common_summary Haskell %{pkg_name} library

# main description used for all the subpackages
%global common_description A %{pkg_name} library for Haskell.

Name:           ghc-%{pkg_name}
Version:        0.5.1
Release:        1%{?dist}
Summary:        A Haskell FFI wrapper for the Augeas API

Group:          System Environment/Libraries
License:        LGPLv3
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
%if %{undefined without_hscolour}
BuildRequires:  hscolour
%endif
# END cabal2spec
# BR any C devel dependency here
# list ghc-*-prof dependencies:
BuildRequires:  ghc-HUnit-prof

%description
This library consists of bindings to the C bindings of the Augeas API.
For documentation of these calls, refer to <http://augeas.net/docs/api.html>.

%package -n ghc-%{pkg_name}-devel
Summary:        Development files for %{common_summary}, a Haskell FFI wrapper for the Augeas API
Group:          Development/Libraries
# BEGIN cabal2spec
%{?ghc_devel_requires}
Obsoletes:      ghc-%{pkg_name}-prof < %{version}-%{release}
Provides:       ghc-%{pkg_name}-prof = %{version}-%{release}
# END cabal2spec
# remember to require any C devel dependency here
# Haskell devel dependencies are autogenerated by ghc-deps.sh
BuildRequires: augeas-devel
%description -n ghc-%{pkg_name}-devel
Development files for %{common_summary}, a Haskell FFI wrapper for the Augeas API

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

rm -rf $RPM_BUILD_ROOT/usr/bin
rm -rf $RPM_BUILD_ROOT/usr/share/%{pkg_name}-%{version}

# add the additional doc files
echo %doc LICENSE AUTHORS ChangeLog README THANKS >> %{name}.files

%post -n ghc-%{pkg_name}-devel
%ghc_pkg_recache

%postun -n ghc-%{pkg_name}-devel
%ghc_pkg_recache

%if %{undefined ghc_without_shared}
%files -n ghc-%{pkg_name} -f ghc-%{pkg_name}.files
%endif

%files -n ghc-%{pkg_name}-devel -f ghc-%{pkg_name}-devel.files

%changelog
* Sun Nov 13 2011 Jude <jude@pwan.org> - 0.5.1-1
- Adjusted spec file based on bugzilla.redhat.com issue #656892 comments

* Thu Oct 13 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.5.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.24.1
